#!/bin/bash

SIGN_DIR=`dirname $0`
SIGN_DIR=`readlink -f ${SIGN_DIR}`/..

usage()
{
	echo -e "Usage: $0 <keros sqfs file> <gpg key id>
\tkeros sqfs file:\tThe KerOS Squash FS to sign
\tgpg key id:\tThe GPG key id to use for signing"
}

if ! [ $# -eq 2 ]
then
	usage
	exit 1
fi

BINARY="$1"
GPG_KEY_ID="$2"

BINARY_DIR=`dirname $1`

cd ${SIGN_DIR}
rm -f ${BINARY_DIR}/${BINARY}.sig

# Assume GPG private key has the same password as SRK keys
head -n 1 keys/key_pass.txt |gpg --batch --passphrase-fd 0 -b -u ${GPG_KEY_ID} ${BINARY}

if [ $? -ne 0 ]
then
	echo "Error when signing by GPG the file ${BINARY}"
	exit 1
fi


