#!/bin/bash

SIGN_DIR=`dirname $0`
SIGN_DIR=`readlink -f ${SIGN_DIR}`/..
PR_TOOLS_DIR="${SIGN_DIR}/ProvenRun/tools"
export CST_PATH="${SIGN_DIR}/cst-2.3.2"

usage()
{
	echo -e "Usage: $0 <binary file> <ddr load address>
\tBinary file:\t\tThe binary file to sign (.itb, .img files)
\tddr load address:\tThe DDR load address (e.g. 0x87900000)"
}

if ! [ $# -eq 2 ]
then
	usage
	exit 1
fi

BINARY="$1"
DDR_ADDRESS="$2"

BINARY_DIR=`dirname $1`

rm -f ${USERDIR}/${BINARY}-signed

# Select CSF template depending of type of PKI: Fast Authentication or not
if [ -f ${SIGN_DIR}/crts/CSF_usr_crt.pem ]
then
	cp -f ${PR_TOOLS_DIR}/templates/csf_no_FA.tmpl ${PR_TOOLS_DIR}/templates/csf.tmpl
else
	cp -f ${PR_TOOLS_DIR}/templates/csf_FA.tmpl ${PR_TOOLS_DIR}/templates/csf.tmpl
fi

cd ${PR_TOOLS_DIR}
${PR_TOOLS_DIR}/mksigned "${BINARY}" $((${DDR_ADDRESS}))
if [ $? -ne 0 ]
then
	echo "Error when signing binary file ${BINARY}"
	exit 1
fi
mv "`basename ${BINARY}`-signed" ${BINARY_DIR}/

